﻿using C1.Win.FlexGrid;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AutomationProviderTest611
{
  public class MyFlexGrid : C1FlexGrid
  {
    protected override void OnSelChange(EventArgs e)
    {
      Trace.WriteLine("OnSelChange: " + this.Rows.Count + " => Focus: " + this.ContainsFocus);
      base.OnSelChange(e);
    }

    protected override void WndProc(ref Message m)
    {
      //Workaround: Ignore "WM_GETOBJECT" instead of forwarding to parent:
      //WM_GETOBJECT = 61 = 0x003D
      if (m.Msg == 61) // && m.LParam == (IntPtr)(-25) && !base.DesignMode)
      {
        Trace.WriteLine("WM_GETOBJECT");
        //return;
      }

      base.WndProc(ref m);
    }
  }
}
